#include <iostream>
#include <math.h>
using namespace std;
int brojCifara(int n)
{
    int b;
    while(n!=0)
    {
        n=n/10;
        b++;
    }
    return b;
}
int funkcija(int *p, int n)
{
    int x=0,y=0,z=0,b=0;
    double j,k,l;
    j=5*pow(10,n);
    k=2*pow(10,n);
    l=pow(10,n);
    x=(*p)/j;
    (*p)=(*p)-(x*j);
    y=(*p)/k;
    (*p)=(*p)-(y*k);
    z=(*p)/l;
    (*p)=(*p)-(z*l);
    b=x+y+z;
    return b;
}
int isplata(int v){
    int n,b;
    int*p;
    *p=v;
    while(*p>10)
    {
        n=brojCifara(*p);
        b=funkcija(&v,n);
    }
    return b;
}
int main()
{
    int b,v;
    cin>>v;
    b=isplata(v);
    cout<<b;
    return 0;
}